#20 sid_marid_check errors on Solaris 9

v0.2.10
closed-fixed
7
2006-04-20
2006-04-11
shanwill44
No

We still have sid_marid_check errors on Solaris 9
(x86) with v.0.2.10 as,

Mar 16 00:49:44 hoge sid-filter[6550]: [ID 375559
mail.error] k2FFnb6B026703 DNS timeout (16
forums.ni.com)
Mar 16 00:49:44 hoge sid-filter[6550]: [ID 539848
mail.error] k2FFnb6B026703 sid_marid_check(): PRA
marketing@ni.com: -1 ( < marid forums.ni.com?)

or

Apr 11 03:09:26 hoge sid-filter[29904]: [ID 375559
mail.error] k3AI9Hee003691 DNS timeout (1
sshgate.sourceforge.net)
Apr 11 03:09:26 hoge sid-filter[29904]: [ID 539848
mail.error] k3AI9Hee003691 sid_marid_check(): PRA
squirrelmail-announce-admin@lists.sourceforge.net: -1
( < addr sshgate.sourceforge.net?)

Discussion

  • shanwill44
    shanwill44
    2006-04-11

    • summary: sid_marid_error on Solaris 9 --> sid_marid_check error on Solaris 9
     
  • shanwill44
    shanwill44
    2006-04-11

    • summary: sid_marid_check error on Solaris 9 --> sid_marid_check errors on Solaris 9
     
  • Logged In: YES
    user_id=1048957

    Those both show the results of DNS timeouts. They're not
    necessarily indicative of a software problem.

    However, while debugging something else I may have found a
    bug relating to query retries inside libar. In the interim,
    you can try these things which I've found to help:

    - run with a -T value of about 30 or higher
    - use the system resolver instead of libar

     
    • priority: 5 --> 7
    • assigned_to: nobody --> sm-msk
     
  • Logged In: YES
    user_id=1048957

    I have a patch for libar which seems to be working in my
    test environment (i.e. home!). If you'd like to try it out,
    let me know and I'll attach it.

     
  • shanwill44
    shanwill44
    2006-04-13

    Logged In: YES
    user_id=1499516

    Would you give me a patch.
    And, please let me know how to use the system resolver
    instead of libar.

     
  • shanwill44
    shanwill44
    2006-04-13

    Logged In: YES
    user_id=1499516

    I changed to use the system resolver by commnenting out
    three lines in sid-filter/makefile.m4, but still I have
    these messages.

     
  • shanwill44
    shanwill44
    2006-04-13

    Logged In: YES
    user_id=1499516

    In these cases, forums.ni.com or sshgate.sourceforge.net
    does not have MX records. Is there something to do with the
    messages ?

     
  • Logged In: YES
    user_id=1048957

    If you're still having trouble and you're not using libar,
    then the patch I have won't help you because the problem it
    fixes is in libar.

    I'll see if I can reproduce your problem.

     
  • Logged In: YES
    user_id=1048957

    Both of these examples (using my own MX as the client IP
    address, since I don't know yours) complete within about a
    second. Does this happen every time for these two domains?

     
  • shanwill44
    shanwill44
    2006-04-14

    Logged In: YES
    user_id=1499516

    They inevitably give the errors. By the way, for example,

    http://www.dnsreport.com/tools/dnsreport.ch?
    domain=forums.ni.com

    always give us time out errors, whatever name servers I use.

     
  • Logged In: YES
    user_id=1048957

    In that case, I'd say this isn't a problem with this package
    but with the nameservers for that domain.

    If I look up forums.ni.com, that's reported as an alias for
    ni.lithium.com. One of the nameservers for lithium.com
    appears to be unreachable. That's probably the culprit here.

    I can't seem to reproduce the problem with
    sshgate.sourceforge.net.

     
  • shanwill44
    shanwill44
    2006-04-17

    Logged In: YES
    user_id=1499516

    Thank you for the reply, sm-msk.
    Now I understand it is not any bug of sid-milter.
    The problem is that, it gives us

    Apr 14 23:55:46 hoge sendmail[20418]: [ID 801593 mail.info]
    k3EEtheR020418: Milter: data, reject=451 4.3.2 Please try
    again later
    Apr 14 23:55:46 hoge sendmail[20418]: [ID 801593 mail.info]
    k3EEtheR020418: to=<foo@hoge.hage.com>, delay=00:00:03,
    pri=143764, stat=Please try again later

    and these e-mails never make it to be delivered. The only
    way to pass them is to stop using sid-milter.
    Is there any way to pass these e-mails, even if there is
    some discrepancy in name server seggings ?

     
  • Logged In: YES
    user_id=1048957

    I'll see if I can get a command line option into the
    development version which delivers mail in such cases.

     
  • Logged In: YES
    user_id=1048957

    A patch is now available. If you'd like to try a
    pre-release of the next version of the filter, let me know
    and I'll e-mail you privately about it.

     
  • shanwill44
    shanwill44
    2006-04-17

    Logged In: YES
    user_id=1499516

    I would like to use it now. Would you please send me a
    patch ?

     
  • Logged In: YES
    user_id=1048957

    E-mailed you a URL privately.

     
  • Logged In: YES
    user_id=1048957

    The libar patch in 0.2.11 fixes part of this problem, and
    the rest has to do with timeout tuning between the filter
    and the MTA. The details about the latter issue are in
    discussion on sid-milter-discuss and will be addressed in a
    future release.

     
    • status: open --> closed-fixed